Subject: Re: [RFR] gianfar ethernet driver

From: David Woodhouse <[email-masked]>
Date: Mon, 19 Jul 2004 21:13:29 -0400

On Mon, 2004-07-19 at 18:29 -0500, Andy Fleming wrote:
> > I could have sworn OCP does struct device these days.  If not, poke 
> > the platform people.
> 
> Ah, I found it.  ocpdev->dev.  Done.

So we have BenH talking about pre-populating sysfs with objects for all
the on-chip peripherals and metadata like MAC addresses. We have some
PPC platforms using 'OCP' which does much the same thing, and ARM
platforms using yet another implementation. Some drivers support more
than one of these.

I suspect we need to bash some heads together... :)

-- 
dwmw2